- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TMssqlMetaData
TMssqlTableColumn
TMssqlTableInfo

Keyword

# Class TMssqlTableColumn

    TComponent
       |
       --TDbTableColumn
          |
          --TMssqlTableColumn

Describes the column metadata of the schema for a Mssql database table.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constants Inherited From TDbTableColumn
UNDEFINED_VALUE,

Method Summary
boolean | getAutoIncrement ()
boolean | getIsExcluded ()
boolean | getPHPType () Overrides parent implementation, returns PHP type from the db type.
boolean | hasSequence ()

Methods Inherited From TDbTableColumn

TDbTableColumn::getAllowNull(), TDbTableColumn::getColumnId(), TDbTableColumn::getColumnIndex(), TDbTableColumn::getColumnName(), TDbTableColumn::getColumnSize(), TDbTableColumn::getDbType(), TDbTableColumn::getDefaultValue(), TDbTableColumn::getInfo(), TDbTableColumn::getIsExcluded(), TDbTableColumn::getIsForeignKey(), TDbTableColumn::getIsPrimaryKey(), TDbTableColumn::getMaxiumNumericConstraint(), TDbTableColumn::getNumericPrecision(), TDbTableColumn::getNumericScale(), TDbTableColumn::getPdoType(), TDbTableColumn::getPHPType(), TDbTableColumn::getSequenceName(), TDbTableColumn::hasSequence(), TDbTableColumn::setInfo()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## getAutoIncrement

public boolean getAutoIncrement | ()

Output
boolean | true if the column has identity (auto-increment)
Exception

## getIsExcluded

public boolean getIsExcluded | ()

Output
boolean | true if db type is 'timestamp'.
Exception

## getPHPType

public boolean getPHPType | ()

Overrides parent implementation, returns PHP type from the db type.

Output
boolean | derived PHP primitive type from the column db type.
Exception

## hasSequence

public boolean hasSequence | ()

Output
boolean | true if auto increments.
Exception